Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class PickBounds

    java.lang.Object
      javax.media.j3d.PickShape
          javax.media.j3d.PickBounds

    public final class PickBounds

extends PickShape

PickBounds is a finite pick shape defined with a Bounds object. It can be used as an argument to the picking methods in BranchGroup and Locale.

See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

Constructor Summary
`PickBounds()` Constructs an empty PickBounds.
`PickBounds(Bounds boundsObject)` Constructs a PickBounds from the specified bounds object.

Method Summary
`Bounds` | `get()` Gets the bounds object from this PickBounds.
`void` | `set(Bounds boundsObject)` Sets the bounds object of this PickBounds to the specified object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickBounds

    public PickBounds()

  Constructs an empty PickBounds. The bounds object is set to null.

### PickBounds

    public PickBounds(Bounds boundsObject)

  Constructs a PickBounds from the specified bounds object.

  Parameters:
    `boundsObject` - the bounds of this PickBounds.

Method Detail

### set

    public void set(Bounds boundsObject)

  Sets the bounds object of this PickBounds to the specified object.

  Parameters:
    `boundsObject` - the new bounds of this PickBounds.

### get

    public Bounds get()

  Gets the bounds object from this PickBounds.

  Returns:
    the bounds.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.